<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/regrefine.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>regrefine.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init/init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for regrefine.c:</div>
<div class="dynsection">
<div class="center"><img src="regrefine_8c__incl.png" border="0" usemap="#init_2regrefine_8c_map" alt=""/></div>
<map name="init_2regrefine_8c_map" id="init_2regrefine_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init/init.h" alt="" coords="120,86,189,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="213,86,283,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="regrefine_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="regrefine_8c.html#a445ec9c1079f67af589544afbcea155f">RegularRefinement</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a445ec9c1079f67af589544afbcea155f"></a><!-- doxytag: member="regrefine.c::RegularRefinement" ref="a445ec9c1079f67af589544afbcea155f" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int RegularRefinement </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="regrefine_8c_source.html#l00030">30</a> of file <a class="el" href="regrefine_8c_source.html">regrefine.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00106">C_UNK</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="regrefine_8c_a445ec9c1079f67af589544afbcea155f_cgraph.png" border="0" usemap="#regrefine_8c_a445ec9c1079f67af589544afbcea155f_cgraph_map" alt=""></div>
<map name="regrefine_8c_a445ec9c1079f67af589544afbcea155f_cgraph_map" id="regrefine_8c_a445ec9c1079f67af589544afbcea155f_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="188,5,281,35"/><area shape="rect" id="node7" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="191,58,279,89"/><area shape="rect" id="node5" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="332,5,433,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="regrefine_8c_a445ec9c1079f67af589544afbcea155f_icgraph.png" border="0" usemap="#regrefine_8c_a445ec9c1079f67af589544afbcea155f_icgraph_map" alt=""></div>
<map name="regrefine_8c_a445ec9c1079f67af589544afbcea155f_icgraph_map" id="regrefine_8c_a445ec9c1079f67af589544afbcea155f_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="188,5,247,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="296,5,347,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

